@charset "utf-8";
@import '../../../_variables.sass';

.u-container {
  width: 1344px;
  margin: 0 auto;
}

.navbar.navbar-secondary.is-dark {
  min-height: 2rem;
  font-size: $size-7;
  align-items: stretch;
  display: flex;
  .navbar-menu {
    flex-grow: 1;
    flex-shrink: 0;
    align-items: stretch;
    display: flex;
    z-index: 1;
  }
  .navbar-item {
    padding: 0;
    @include mobile {
      font-size: $size-7;
      padding: 0;
    }
  }
  .navbar-end {
    .button.is-primary {
      padding: 0.5em 0.8em;
      color: $grey-lighter;
      &.is-active {
        color: $white;
      }
      &:hover {
        background-color: transparent;
        color: $white;
      }
      &:last-of-type {
        border-left: 1px solid $white;
      }
      &.login {
        border-left: 0;
        color: $white;
      }
    }
    @include tablet {
      .navbar-item {
        display: none;
      }
    }
    @include desktop {
      .navbar-item {
        display: initial;
      }
    }
  }

  .navbar-start,
  .navbar-end {
    a.navbar-item:hover {
      background: lighten($primary, 10%);
    }
    a.navbar-item.is-active {
      background: lighten($primary, 20%);
      color: $grey-lighter;
    }
  }

  .react-select__control {
    background-color: $primary;
    border-color: $primary;
  }
  .react-select__single-value {
    color: $white;
  }
  .react-select__placeholder {
    color: $white;
  }

  .react-select__dropdown-indicator svg {
    fill: $white;
  }

  @include tablet {
    .navbar-menu {
      background: $primary;
      padding: 0;
    }

    .navbar-item {
      color: $white;
    }

    .navbar-item:first-child {
      font-weight: $weight-normal;
    }

    .navbar-item:nth-child(2) {
      font-weight: $weight-bold;
    }

    .navbar-start,
    .navbar-end {
      display: flex;
      flex-direction: row;
      height: 100%;
      flex: 1;
    }
  }
  @include mobile {
    .navbar-menu {
      background: $primary;
      padding: 0 0;
    }
    .navbar-start,
    .navbar-end {
      display: flex;
      flex-direction: row;
      height: 100%;
      flex: 1;
    }
    .navbar-item {
      font-weight: $weight-bold;
      color: $white;
      padding: 0;
    }
  }

  .socials-container {
    display: flex;
  }

  .icon {
    display: inline-block;
    width: 24px;
    height: 24px;
    margin-right: 35px;
    cursor: pointer;
  }

  .x {
    &.white {
      background: url('../../../assets/images/icons/x-white.svg') no-repeat center;
    }

    &:hover {
      background: white url('../../../assets/images/icons/x-black.svg') no-repeat center;
    }
  }

  .linkedin {
    &.white {
      background: url('../../../assets/images/icons/linkedin-white.svg') no-repeat center;
    }

    &:hover {
      background: white url('../../../assets/images/icons/linkedin-black.svg') no-repeat center;
    }
  }

  .youtube {
    &.white {
      background: url('../../../assets/images/icons/youtube-white.svg') no-repeat center;
    }

    &:hover {
      background: white  url('../../../assets/images/icons/youtube-black.svg') no-repeat center;
    }
  }

  .instagram {
    &.white {
      background: url("../../../assets/images/icons/instagram-white.svg") no-repeat center;
    }

    &:hover {
      background: white url("../../../assets/images/icons/instagram-black.svg") no-repeat center;
    }
  }

  .facebook {
    &.white {
      background: url('../../../assets/images/icons/fb-white.svg') no-repeat center;
    }

    &:hover {
      background: white url('../../../assets/images/icons/fb-black.svg') no-repeat center;
    }
  }

}
